#include <iostream>
#include <map>
#include "cache.h"


int main()
{
	cache<string, double> cc(4);

	cc.insert("pi", 3.14);
	cc.insert("e", 2.71);
	cc.insert("gold", 1.61);
	cc.insert("sq2", 1.41);

	cc.debug_dump();

	cc.insert("zero", 0);

	cc.debug_dump();

	double* e_value = cc.find("e");

	cc.insert("one", 1);

	cc.debug_dump();
	cc.statistics();

    for (int i = 0; i < 30; ++i)
		double* one_value = cc.find("one");

	cc.statistics();

	cerr << "\n\nDone\n\n";
	cin.get();
	return 0;
}
